tigase.jaxmpp.core.client.xmpp.modules.adhoc

## Enum State

- java.lang.Object
- - java.lang.Enum<State>
  - - tigase.jaxmpp.core.client.xmpp.modules.adhoc.State

- All Implemented Interfaces:
    Serializable, Comparable<State>

      public enum State
      extends Enum<State>

  Ad-hoc command execution state.
  Author:
    bmalkow

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `canceled` The command has been canceled.
    `completed` The command has completed.
    `executing` The command is being executed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### canceled

          public static final State canceled

      The command has been canceled. The command session has ended.

    - #### completed

          public static final State completed

      The command has completed. The command session has ended.

    - #### executing

          public static final State executing

      The command is being executed.

  - ### Method Detail

    - #### values

          public static State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (State c : State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2019 Tigase. All rights reserved.